Skip to Content
Hive
API Referencev1VoIP DSS

Create a DSS Trunk

Deprecated

POST
/v1/voip/dss/trunk/add

Deprecated. Use POST /v1/voip/dss/trunks to provision the DSS trunk from a preset. This legacy endpoint creates a trunk and optionally associates initial numbers and destinations.

Request Body

application/json
  1. body

Request payload for creating a DSS trunk.

name*string

Trunk name

channel*integer

Maximum number of concurrent channels

Range1 <= value
idCustomer*integer

Customer identifier

Range1 <= value
organizationId?integer

Organization identifier

domainId?|

DSS domain identifier

singleNumber?|

Whether the trunk uses a single number

numberId?|

Number to associate when singleNumber is enabled

trafficLimit?|

Traffic credit limit

Range0 <= value
bkNumber?|

Backup number

blocked?|

Initial blocked state

permanentBk?|

Whether permanent backup routing is enabled

dualIdentity?|

Whether dual identity is enabled

toInRu?|

Whether To In RU is enabled

checkPrefix?|

Whether prefix checking is enabled

countries?array<>|

Initial enabled destinations.

Response Body

DSS trunk created successfully.

Example Request
curl -X POST 'https://api.eis.it/v1/voip/dss/trunk/add' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "channel": 1,  "idCustomer": 1}'
Example Response
Empty